MCP Tools Reference: gmailmcp.googleapis.com

Narzędzie: unlabel_message

Usuwa co najmniej 1 etykietę z konkretnej wiadomości na koncie Gmail uwierzytelnionego użytkownika. Aby znaleźć identyfikator wiadomości, użyj narzędzi takich jak search_threads lub get_thread. Jeśli nie masz pewności, jaki jest identyfikator etykiety użytkownika, najpierw użyj narzędzia list_labels, aby odkryć dostępne etykiety i ich identyfikatory.

Poniższy przykład pokazuje, jak za pomocą znaku curl wywołać narzędzie unlabel_message MCP.

Żądanie curl
curl --location 'https://gmailmcp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "unlabel_message",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Schemat wejściowy

Komunikat żądania dla RPC UnlabelMessage.

UnlabelMessageRequest

Zapis JSON
{
  "messageId": string,
  "labelIds": [
    string
  ]
}
Pola
messageId

string

Wymagane. Identyfikator wiadomości, z której chcesz usunąć etykiety.

labelIds[]

string

Wymagane. Identyfikatory etykiet do usunięcia.

Schemat wyjściowy

Wiadomość odpowiedzi dla RPC UnlabelMessage.

Adnotacje narzędzi

Destructive Hint: ✅ | Idempotent Hint: ✅ | Read Only Hint: ❌ | Open World Hint: ❌